---
title: AudioWorklet
slug: Web/API/AudioWorklet
tags:
  - API
  - Audio
  - AudioWorklet
  - Background
  - Custom
  - Interface
  - Low-latency
  - Reference
  - Web Audio API
  - Worklet
  - Zero-latency
  - latency
  - sound
---
<p>{{APIRef("Web Audio API")}}{{securecontext_header}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>AudioWorklet</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> is used to supply custom audio processing scripts that execute in a separate thread to provide very low latency audio processing.</span> The worklet's code is run in the {{domxref("AudioWorkletGlobalScope")}} global execution context, using a separate Web Audio thread which is shared by the worklet and other audio nodes.</p>

<p>Access the audio context's instance of <code>AudioWorklet</code> through the {{domxref("BaseAudioContext.audioWorklet")}} property.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>AudioWorklet</code> interface does not define any properties of its own, but does inherit properties of {{domxref("Worklet")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface inherits methods from {{domxref('Worklet')}}. The <code>AudioWorklet</code> interface does not define any methods of its own.</em></p>

<h2 id="Events">Events</h2>

<p><em><code>AudioWorklet</code> has no events to which it responds.</em></p>

<h2 id="Examples">Examples</h2>

<p>See {{domxref("AudioWorkletNode")}} for complete examples of custom audio node creation.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#audioworklet','AudioWorklet')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioWorklet")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("AudioWorkletGlobalScope")}} — the global execution context of an <code>AudioWorklet</code></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
